This patch removes as much of gettext as possible via diff/patch.

All code references are removed.
All configure and Makefile references are removed.
BUGS and the example conf's references are removed.

What is left are the two documents and the entire messages directory.
They are not used, so they can be deleted or left.

To install this patch, from the root of ircd-ratbox 1.4-2 source tree,
issue:
$ patch -p1 </path/to/1.4-2-diegettext.diff

Then run configure, make, and make install as you normally would.

-Hwy
-2004-05-09

diff -uNrd ircd-ratbox-1.4-2.dist/BUGS ircd-ratbox-1.4-2/BUGS
--- ircd-ratbox-1.4-2.dist/BUGS	Thu Jun 26 10:00:22 2003
+++ ircd-ratbox-1.4-2/BUGS	Sun May  9 21:47:41 2004
@@ -30,26 +30,6 @@
       of upgrading at runtime, but reducing the chances of accidentally
       coring your server.
 
-3.  Problem with msgfmt command building custom msgs using gettext
-    - Please ensure you are using GNU gettext version 0.10.35.
-      Other versions are untested, and some are known to be
-      incompatible.
-
-4.  Problems with quote set msglocale not working on linux.
-    This seems to be a linux problem, /quote set msglocale will sometimes
-    get "undone" when a new client connects.  The server will also sometimes
-    not correctly set the locale from ircd.conf on startup.
-
-    The solution is if a locale is needed, to have the message_locale="x"
-    in ircd.conf, and then rehash to make it take effect.  A rehash after
-    startup will also need to be performed to set the locale.
-
-5.  When updating a message file, in certain unknown situations it will core
-    if the file in use is being accessed.  To prevent this from happening,
-    use '/quote SET MSGLOCALE standard' BEFORE issuing make install.  When
-    the file is installed, you can SET MSGLOCALE back to the language that
-    was just updated.
-
 BUG REPORTS: If you run this code and encounter problems, you must report
  the bug in by E-MAIL to ircd-ratbox@lists.ratbox.org
 
diff -uNrd ircd-ratbox-1.4-2.dist/Makefile.in ircd-ratbox-1.4-2/Makefile.in
--- ircd-ratbox-1.4-2.dist/Makefile.in	Thu Jun 26 10:00:24 2003
+++ ircd-ratbox-1.4-2/Makefile.in	Sun May  9 21:33:50 2004
@@ -38,7 +38,7 @@
 # the system one.
 #CFLAGS= -DNDEBUG -g -O2 -D"FD_SETSIZE=1024"
 SHELL=/bin/sh
-SUBDIRS=modules adns src tools doc @SUBDIR_MESSAGES@ servlink help
+SUBDIRS=modules adns src tools doc servlink help
 CLEANDIRS = ${SUBDIRS} contrib
 RSA_FILES=rsa_respond/README rsa_respond/respond.c rsa_respond/Makefile
 
diff -uNrd ircd-ratbox-1.4-2.dist/autoconf/configure.in ircd-ratbox-1.4-2/autoconf/configure.in
--- ircd-ratbox-1.4-2.dist/autoconf/configure.in	Wed Oct 15 14:06:56 2003
+++ ircd-ratbox-1.4-2/autoconf/configure.in	Sun May  9 21:40:56 2004
@@ -183,33 +183,6 @@
 
 AC_CHECK_FUNC(crypt,, AC_CHECK_LIB(descrypt, crypt,,AC_CHECK_LIB(crypt, crypt,,)))
 
-dnl check for gettext in base system or /usr/[local/]lib/libintl.a
-AC_SEARCH_LIBS(gettext, intl,,,)
-if test "X$ac_cv_search_gettext" = "Xno"; then
-    save_LIBS="$LIBS"
-    LIBS="$LIBS -L/usr/local/lib"
-    unset ac_cv_search_gettext
-    AC_SEARCH_LIBS(gettext, intl,,,)
-    if test "X$ac_cv_search_gettext" != "Xno"; then
-        gettext_libs="-L/usr/local/lib"
-        gettext_incl="-I/usr/local/include"
-    fi
-    LIBS="$save_LIBS"
-fi
-
-dnl make sure we cache any special flags we used, as autoconf
-dnl will cache the 'found gettext' result, and otherwise we'll never realise
-dnl we need them!
-AC_CACHE_CHECK(ld flags needed for gettext, cf_cv_gettext_libs,
-               [ cf_cv_gettext_libs="$gettext_libs" ])
-AC_CACHE_CHECK(cpp flags needed for gettext, cf_cv_gettext_incl,
-               [ cf_cv_gettext_incl="$gettext_incl" ])
-
-LIBS="$LIBS $cf_cv_gettext_libs"
-CPPFLAGS="$CPPFLAGS $cf_cv_gettext_incl"
-
-AC_CHECK_FUNCS(gettext,, AC_CHECK_LIB(intl, gettext))
-
 dnl Checks for header files.
 AC_HEADER_STDC
 AC_CHECK_HEADERS(inttypes.h sys/resource.h sys/param.h unistd.h errno.h string.h strings.h sys/syslog.h stdlib.h stddef.h getopt.h sys/uio.h sys/epoll.h)
@@ -626,16 +599,6 @@
 AC_DEFINE_UNQUOTED(SELECT_TYPE, "$SELECT_TYPE")
 AC_SUBST(SELECT_SRC)
 
-if test "$ac_cv_func_gettext" = "yes" -o "$ac_cv_lib_intl_gettext" = "yes"; then
-	echo "Building with gettext."
-	MSGFMT="msgfmt -o"
-	SUBDIR_MESSAGES="messages"
-        AC_DEFINE(HAVE_GETTEXT)
-else
-	MSGFMT="echo"
-	SUBDIR_MESSAGES=""
-fi
-
 dnl ipv6?
 AC_ARG_ENABLE(ipv6,
 [  --enable-ipv6                Enable IPV6 support.
@@ -959,7 +922,6 @@
 
 AC_SUBST(INCDEP)
 
-AC_SUBST(SUBDIR_MESSAGES)
 
 AC_SUBST(LDFLAGS)
 AC_SUBST(MSGFMT)
@@ -972,8 +934,6 @@
  contrib/Makefile               \
  src/Makefile                   \
  adns/Makefile                  \
- messages/Makefile              \
- messages/translations/Makefile \
  modules/Makefile               \
  tools/Makefile                 \
  doc/Makefile                   \
diff -uNrd ircd-ratbox-1.4-2.dist/configure ircd-ratbox-1.4-2/configure
--- ircd-ratbox-1.4-2.dist/configure	Wed Oct 15 14:06:49 2003
+++ ircd-ratbox-1.4-2/configure	Sun May  9 21:41:29 2004
@@ -78,6 +78,7 @@
 program_transform_name=s,x,x,
 silent=
 site=
+sitefile=
 srcdir=
 target=NONE
 verbose=
@@ -192,6 +193,7 @@
   --help                  print this message
   --no-create             do not create output files
   --quiet, --silent       do not print \`checking...' messages
+  --site-file=FILE        use FILE as the site file
   --version               print the version of autoconf that created configure
 Directory and file names:
   --prefix=PREFIX         install architecture-independent files in PREFIX
@@ -362,6 +364,11 @@
   -site=* | --site=* | --sit=*)
     site="$ac_optarg" ;;
 
+  -site-file | --site-file | --site-fil | --site-fi | --site-f)
+    ac_prev=sitefile ;;
+  -site-file=* | --site-file=* | --site-fil=* | --site-fi=* | --site-f=*)
+    sitefile="$ac_optarg" ;;
+
   -srcdir | --srcdir | --srcdi | --srcd | --src | --sr)
     ac_prev=srcdir ;;
   -srcdir=* | --srcdir=* | --srcdi=* | --srcd=* | --src=* | --sr=*)
@@ -527,12 +534,16 @@
 srcdir=`echo "${srcdir}" | sed 's%\([^/]\)/*$%\1%'`
 
 # Prefer explicitly selected file to automatically selected ones.
-if test -z "$CONFIG_SITE"; then
-  if test "x$prefix" != xNONE; then
-    CONFIG_SITE="$prefix/share/config.site $prefix/etc/config.site"
-  else
-    CONFIG_SITE="$ac_default_prefix/share/config.site $ac_default_prefix/etc/config.site"
+if test -z "$sitefile"; then
+  if test -z "$CONFIG_SITE"; then
+    if test "x$prefix" != xNONE; then
+      CONFIG_SITE="$prefix/share/config.site $prefix/etc/config.site"
+    else
+      CONFIG_SITE="$ac_default_prefix/share/config.site $ac_default_prefix/etc/config.site"
+    fi
   fi
+else
+  CONFIG_SITE="$sitefile"
 fi
 for ac_site_file in $CONFIG_SITE; do
   if test -r "$ac_site_file"; then
@@ -603,7 +614,7 @@
 # Extract the first word of "gcc", so it can be a program name with args.
 set dummy gcc; ac_word=$2
 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
-echo "configure:607: checking for $ac_word" >&5
+echo "configure:618: checking for $ac_word" >&5
 if eval "test \"`echo '$''{'ac_cv_prog_CC'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
@@ -633,7 +644,7 @@
   # Extract the first word of "cc", so it can be a program name with args.
 set dummy cc; ac_word=$2
 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
-echo "configure:637: checking for $ac_word" >&5
+echo "configure:648: checking for $ac_word" >&5
 if eval "test \"`echo '$''{'ac_cv_prog_CC'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
@@ -684,7 +695,7 @@
       # Extract the first word of "cl", so it can be a program name with args.
 set dummy cl; ac_word=$2
 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
-echo "configure:688: checking for $ac_word" >&5
+echo "configure:699: checking for $ac_word" >&5
 if eval "test \"`echo '$''{'ac_cv_prog_CC'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
@@ -716,7 +727,7 @@
 fi
 
 echo $ac_n "checking whether the C compiler ($CC $CFLAGS $LDFLAGS) works""... $ac_c" 1>&6
-echo "configure:720: checking whether the C compiler ($CC $CFLAGS $LDFLAGS) works" >&5
+echo "configure:731: checking whether the C compiler ($CC $CFLAGS $LDFLAGS) works" >&5
 
 ac_ext=c
 # CFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
@@ -727,12 +738,12 @@
 
 cat > conftest.$ac_ext << EOF
 
-#line 731 "configure"
+#line 742 "configure"
 #include "confdefs.h"
 
 main(){return(0);}
 EOF
-if { (eval echo configure:736: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:747: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   ac_cv_prog_cc_works=yes
   # If we can't run a trivial program, we are probably using a cross compiler.
   if (./conftest; exit) 2>/dev/null; then
@@ -758,12 +769,12 @@
   { echo "configure: error: installation or configuration problem: C compiler cannot create executables." 1>&2; exit 1; }
 fi
 echo $ac_n "checking whether the C compiler ($CC $CFLAGS $LDFLAGS) is a cross-compiler""... $ac_c" 1>&6
-echo "configure:762: checking whether the C compiler ($CC $CFLAGS $LDFLAGS) is a cross-compiler" >&5
+echo "configure:773: checking whether the C compiler ($CC $CFLAGS $LDFLAGS) is a cross-compiler" >&5
 echo "$ac_t""$ac_cv_prog_cc_cross" 1>&6
 cross_compiling=$ac_cv_prog_cc_cross
 
 echo $ac_n "checking whether we are using GNU C""... $ac_c" 1>&6
-echo "configure:767: checking whether we are using GNU C" >&5
+echo "configure:778: checking whether we are using GNU C" >&5
 if eval "test \"`echo '$''{'ac_cv_prog_gcc'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
@@ -772,7 +783,7 @@
   yes;
 #endif
 EOF
-if { ac_try='${CC-cc} -E conftest.c'; { (eval echo configure:776: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }; } | egrep yes >/dev/null 2>&1; then
+if { ac_try='${CC-cc} -E conftest.c'; { (eval echo configure:787: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }; } | egrep yes >/dev/null 2>&1; then
   ac_cv_prog_gcc=yes
 else
   ac_cv_prog_gcc=no
@@ -791,7 +802,7 @@
 ac_save_CFLAGS="$CFLAGS"
 CFLAGS=
 echo $ac_n "checking whether ${CC-cc} accepts -g""... $ac_c" 1>&6
-echo "configure:795: checking whether ${CC-cc} accepts -g" >&5
+echo "configure:806: checking whether ${CC-cc} accepts -g" >&5
 if eval "test \"`echo '$''{'ac_cv_prog_cc_g'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
@@ -826,7 +837,7 @@
 
 SGS=no
 echo $ac_n "checking if we are using TenDRA or MIPSpro""... $ac_c" 1>&6
-echo "configure:830: checking if we are using TenDRA or MIPSpro" >&5
+echo "configure:841: checking if we are using TenDRA or MIPSpro" >&5
 case `$CC -version 2>&1` in
   *TenDRA*)
     echo "$ac_t""success! We will be using TenDRA." 1>&6
@@ -845,7 +856,7 @@
     ;;
 esac
 echo $ac_n "checking if we are using Sun WorkShop/Forte""... $ac_c" 1>&6
-echo "configure:849: checking if we are using Sun WorkShop/Forte" >&5
+echo "configure:860: checking if we are using Sun WorkShop/Forte" >&5
 case `$CC -V 2>&1` in
   *Sun*WorkShop*)
     echo "$ac_t""success! We are using Sun WorkShop/Forte." 1>&6
@@ -863,7 +874,7 @@
     ;;
 esac
 echo $ac_n "checking if we are using Apple GCC""... $ac_c" 1>&6
-echo "configure:867: checking if we are using Apple GCC" >&5
+echo "configure:878: checking if we are using Apple GCC" >&5
 case `$CC -v 2>&1 | tail -1` in
   *Apple*)
     echo "$ac_t""success! We are using GCC from Apple." 1>&6
@@ -876,7 +887,7 @@
 esac
 
 echo $ac_n "checking if your compiler supports the SVR4 Software Generation System interfaces""... $ac_c" 1>&6
-echo "configure:880: checking if your compiler supports the SVR4 Software Generation System interfaces" >&5
+echo "configure:891: checking if your compiler supports the SVR4 Software Generation System interfaces" >&5
 if test "$SGS" = "yes"; then
   echo "$ac_t""yes" 1>&6
 else
@@ -926,7 +937,7 @@
 
 
 echo $ac_n "checking how to generate dependancy info""... $ac_c" 1>&6
-echo "configure:930: checking how to generate dependancy info" >&5
+echo "configure:941: checking how to generate dependancy info" >&5
 if test "$SunWorkShop" = "yes"; then
   echo "$ac_t""Sun WorkShop/Forte using $CC -xM" 1>&6
   MKDEP="$CC -xM"
@@ -947,7 +958,7 @@
 fi
 
 echo $ac_n "checking for POSIXized ISC""... $ac_c" 1>&6
-echo "configure:951: checking for POSIXized ISC" >&5
+echo "configure:962: checking for POSIXized ISC" >&5
 if test -d /etc/conf/kconfig.d &&
   grep _POSIX_VERSION /usr/include/sys/unistd.h >/dev/null 2>&1
 then
@@ -968,7 +979,7 @@
 fi
 
 echo $ac_n "checking whether ${MAKE-make} sets \${MAKE}""... $ac_c" 1>&6
-echo "configure:972: checking whether ${MAKE-make} sets \${MAKE}" >&5
+echo "configure:983: checking whether ${MAKE-make} sets \${MAKE}" >&5
 set dummy ${MAKE-make}; ac_make=`echo "$2" | sed 'y%./+-%__p_%'`
 if eval "test \"`echo '$''{'ac_cv_prog_make_${ac_make}_set'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
@@ -997,7 +1008,7 @@
 # Extract the first word of "rm", so it can be a program name with args.
 set dummy rm; ac_word=$2
 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
-echo "configure:1001: checking for $ac_word" >&5
+echo "configure:1012: checking for $ac_word" >&5
 if eval "test \"`echo '$''{'ac_cv_path_RM'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
@@ -1032,7 +1043,7 @@
 # Extract the first word of "cp", so it can be a program name with args.
 set dummy cp; ac_word=$2
 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
-echo "configure:1036: checking for $ac_word" >&5
+echo "configure:1047: checking for $ac_word" >&5
 if eval "test \"`echo '$''{'ac_cv_path_CP'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
@@ -1067,7 +1078,7 @@
 # Extract the first word of "mv", so it can be a program name with args.
 set dummy mv; ac_word=$2
 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
-echo "configure:1071: checking for $ac_word" >&5
+echo "configure:1082: checking for $ac_word" >&5
 if eval "test \"`echo '$''{'ac_cv_path_MV'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
@@ -1102,7 +1113,7 @@
 # Extract the first word of "ln", so it can be a program name with args.
 set dummy ln; ac_word=$2
 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
-echo "configure:1106: checking for $ac_word" >&5
+echo "configure:1117: checking for $ac_word" >&5
 if eval "test \"`echo '$''{'ac_cv_path_LN'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
@@ -1137,7 +1148,7 @@
 # Extract the first word of "sed", so it can be a program name with args.
 set dummy sed; ac_word=$2
 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
-echo "configure:1141: checking for $ac_word" >&5
+echo "configure:1152: checking for $ac_word" >&5
 if eval "test \"`echo '$''{'ac_cv_path_SED'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
@@ -1172,7 +1183,7 @@
 # Extract the first word of "ar", so it can be a program name with args.
 set dummy ar; ac_word=$2
 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
-echo "configure:1176: checking for $ac_word" >&5
+echo "configure:1187: checking for $ac_word" >&5
 if eval "test \"`echo '$''{'ac_cv_path_AR'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
@@ -1207,7 +1218,7 @@
 # Extract the first word of "ld", so it can be a program name with args.
 set dummy ld; ac_word=$2
 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
-echo "configure:1211: checking for $ac_word" >&5
+echo "configure:1222: checking for $ac_word" >&5
 if eval "test \"`echo '$''{'ac_cv_path_LD'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
@@ -1242,7 +1253,7 @@
 # Extract the first word of "touch", so it can be a program name with args.
 set dummy touch; ac_word=$2
 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
-echo "configure:1246: checking for $ac_word" >&5
+echo "configure:1257: checking for $ac_word" >&5
 if eval "test \"`echo '$''{'ac_cv_path_TOUCH'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
@@ -1279,7 +1290,7 @@
 # Extract the first word of "$ac_prog", so it can be a program name with args.
 set dummy $ac_prog; ac_word=$2
 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
-echo "configure:1283: checking for $ac_word" >&5
+echo "configure:1294: checking for $ac_word" >&5
 if eval "test \"`echo '$''{'ac_cv_prog_YACC'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
@@ -1321,7 +1332,7 @@
 # SVR4 /usr/ucb/install, which tries to use the nonexistent group "staff"
 # ./install, which can be erroneously created by make from ./install.sh.
 echo $ac_n "checking for a BSD compatible install""... $ac_c" 1>&6
-echo "configure:1325: checking for a BSD compatible install" >&5
+echo "configure:1336: checking for a BSD compatible install" >&5
 if test -z "$INSTALL"; then
 if eval "test \"`echo '$''{'ac_cv_path_install'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
@@ -1376,7 +1387,7 @@
 # Extract the first word of "flex", so it can be a program name with args.
 set dummy flex; ac_word=$2
 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
-echo "configure:1380: checking for $ac_word" >&5
+echo "configure:1391: checking for $ac_word" >&5
 if eval "test \"`echo '$''{'ac_cv_prog_LEX'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
@@ -1410,7 +1421,7 @@
   *) ac_lib=l ;;
   esac
   echo $ac_n "checking for yywrap in -l$ac_lib""... $ac_c" 1>&6
-echo "configure:1414: checking for yywrap in -l$ac_lib" >&5
+echo "configure:1425: checking for yywrap in -l$ac_lib" >&5
 ac_lib_var=`echo $ac_lib'_'yywrap | sed 'y%./+-%__p_%'`
 if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
@@ -1418,7 +1429,7 @@
   ac_save_LIBS="$LIBS"
 LIBS="-l$ac_lib  $LIBS"
 cat > conftest.$ac_ext <<EOF
-#line 1422 "configure"
+#line 1433 "configure"
 #include "confdefs.h"
 /* Override any gcc2 internal prototype to avoid an error.  */
 /* We use char because int might match the return type of a gcc2
@@ -1429,7 +1440,7 @@
 yywrap()
 ; return 0; }
 EOF
-if { (eval echo configure:1433: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:1444: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_lib_$ac_lib_var=yes"
 else
@@ -1454,7 +1465,7 @@
 # Extract the first word of "ranlib", so it can be a program name with args.
 set dummy ranlib; ac_word=$2
 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
-echo "configure:1458: checking for $ac_word" >&5
+echo "configure:1469: checking for $ac_word" >&5
 if eval "test \"`echo '$''{'ac_cv_prog_RANLIB'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
@@ -1482,21 +1493,21 @@
 fi
 
 echo $ac_n "checking for inline""... $ac_c" 1>&6
-echo "configure:1486: checking for inline" >&5
+echo "configure:1497: checking for inline" >&5
 if eval "test \"`echo '$''{'ac_cv_c_inline'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
   ac_cv_c_inline=no
 for ac_kw in inline __inline__ __inline; do
   cat > conftest.$ac_ext <<EOF
-#line 1493 "configure"
+#line 1504 "configure"
 #include "confdefs.h"
 
 int main() {
 } $ac_kw foo() {
 ; return 0; }
 EOF
-if { (eval echo configure:1500: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
+if { (eval echo configure:1511: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
   rm -rf conftest*
   ac_cv_c_inline=$ac_kw; break
 else
@@ -1529,7 +1540,7 @@
 fi
 
 echo $ac_n "checking for socket in -lsocket""... $ac_c" 1>&6
-echo "configure:1533: checking for socket in -lsocket" >&5
+echo "configure:1544: checking for socket in -lsocket" >&5
 ac_lib_var=`echo socket'_'socket | sed 'y%./+-%__p_%'`
 if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
@@ -1537,7 +1548,7 @@
   ac_save_LIBS="$LIBS"
 LIBS="-lsocket  $LIBS"
 cat > conftest.$ac_ext <<EOF
-#line 1541 "configure"
+#line 1552 "configure"
 #include "confdefs.h"
 /* Override any gcc2 internal prototype to avoid an error.  */
 /* We use char because int might match the return type of a gcc2
@@ -1548,7 +1559,7 @@
 socket()
 ; return 0; }
 EOF
-if { (eval echo configure:1552: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:1563: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_lib_$ac_lib_var=yes"
 else
@@ -1579,12 +1590,12 @@
 
 
 echo $ac_n "checking for crypt""... $ac_c" 1>&6
-echo "configure:1583: checking for crypt" >&5
+echo "configure:1594: checking for crypt" >&5
 if eval "test \"`echo '$''{'ac_cv_func_crypt'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
   cat > conftest.$ac_ext <<EOF
-#line 1588 "configure"
+#line 1599 "configure"
 #include "confdefs.h"
 /* System header to define __stub macros and hopefully few prototypes,
     which can conflict with char crypt(); below.  */
@@ -1607,7 +1618,7 @@
 
 ; return 0; }
 EOF
-if { (eval echo configure:1611: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:1622: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_func_crypt=yes"
 else
@@ -1625,7 +1636,7 @@
 else
   echo "$ac_t""no" 1>&6
 echo $ac_n "checking for crypt in -ldescrypt""... $ac_c" 1>&6
-echo "configure:1629: checking for crypt in -ldescrypt" >&5
+echo "configure:1640: checking for crypt in -ldescrypt" >&5
 ac_lib_var=`echo descrypt'_'crypt | sed 'y%./+-%__p_%'`
 if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
@@ -1633,7 +1644,7 @@
   ac_save_LIBS="$LIBS"
 LIBS="-ldescrypt  $LIBS"
 cat > conftest.$ac_ext <<EOF
-#line 1637 "configure"
+#line 1648 "configure"
 #include "confdefs.h"
 /* Override any gcc2 internal prototype to avoid an error.  */
 /* We use char because int might match the return type of a gcc2
@@ -1644,7 +1655,7 @@
 crypt()
 ; return 0; }
 EOF
-if { (eval echo configure:1648: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:1659: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_lib_$ac_lib_var=yes"
 else
@@ -1670,7 +1681,7 @@
 else
   echo "$ac_t""no" 1>&6
 echo $ac_n "checking for crypt in -lcrypt""... $ac_c" 1>&6
-echo "configure:1674: checking for crypt in -lcrypt" >&5
+echo "configure:1685: checking for crypt in -lcrypt" >&5
 ac_lib_var=`echo crypt'_'crypt | sed 'y%./+-%__p_%'`
 if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
@@ -1678,7 +1689,7 @@
   ac_save_LIBS="$LIBS"
 LIBS="-lcrypt  $LIBS"
 cat > conftest.$ac_ext <<EOF
-#line 1682 "configure"
+#line 1693 "configure"
 #include "confdefs.h"
 /* Override any gcc2 internal prototype to avoid an error.  */
 /* We use char because int might match the return type of a gcc2
@@ -1689,7 +1700,7 @@
 crypt()
 ; return 0; }
 EOF
-if { (eval echo configure:1693: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:1704: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_lib_$ac_lib_var=yes"
 else
@@ -1721,268 +1732,8 @@
 fi
 
 
-
-echo $ac_n "checking for library containing gettext""... $ac_c" 1>&6
-echo "configure:1727: checking for library containing gettext" >&5
-if eval "test \"`echo '$''{'ac_cv_search_gettext'+set}'`\" = set"; then
-  echo $ac_n "(cached) $ac_c" 1>&6
-else
-  ac_func_search_save_LIBS="$LIBS"
-ac_cv_search_gettext="no"
-cat > conftest.$ac_ext <<EOF
-#line 1734 "configure"
-#include "confdefs.h"
-/* Override any gcc2 internal prototype to avoid an error.  */
-/* We use char because int might match the return type of a gcc2
-    builtin and then its argument prototype would still apply.  */
-char gettext();
-
-int main() {
-gettext()
-; return 0; }
-EOF
-if { (eval echo configure:1745: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
-  rm -rf conftest*
-  ac_cv_search_gettext="none required"
-else
-  echo "configure: failed program was:" >&5
-  cat conftest.$ac_ext >&5
-fi
-rm -f conftest*
-test "$ac_cv_search_gettext" = "no" && for i in intl; do
-LIBS="-l$i  $ac_func_search_save_LIBS"
-cat > conftest.$ac_ext <<EOF
-#line 1756 "configure"
-#include "confdefs.h"
-/* Override any gcc2 internal prototype to avoid an error.  */
-/* We use char because int might match the return type of a gcc2
-    builtin and then its argument prototype would still apply.  */
-char gettext();
-
-int main() {
-gettext()
-; return 0; }
-EOF
-if { (eval echo configure:1767: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
-  rm -rf conftest*
-  ac_cv_search_gettext="-l$i"
-break
-else
-  echo "configure: failed program was:" >&5
-  cat conftest.$ac_ext >&5
-fi
-rm -f conftest*
-done
-LIBS="$ac_func_search_save_LIBS"
-fi
-
-echo "$ac_t""$ac_cv_search_gettext" 1>&6
-if test "$ac_cv_search_gettext" != "no"; then
-  test "$ac_cv_search_gettext" = "none required" || LIBS="$ac_cv_search_gettext $LIBS"
-  
-else :
-  
-fi
-if test "X$ac_cv_search_gettext" = "Xno"; then
-    save_LIBS="$LIBS"
-    LIBS="$LIBS -L/usr/local/lib"
-    unset ac_cv_search_gettext
-    
-echo $ac_n "checking for library containing gettext""... $ac_c" 1>&6
-echo "configure:1793: checking for library containing gettext" >&5
-if eval "test \"`echo '$''{'ac_cv_search_gettext'+set}'`\" = set"; then
-  echo $ac_n "(cached) $ac_c" 1>&6
-else
-  ac_func_search_save_LIBS="$LIBS"
-ac_cv_search_gettext="no"
-cat > conftest.$ac_ext <<EOF
-#line 1800 "configure"
-#include "confdefs.h"
-/* Override any gcc2 internal prototype to avoid an error.  */
-/* We use char because int might match the return type of a gcc2
-    builtin and then its argument prototype would still apply.  */
-char gettext();
-
-int main() {
-gettext()
-; return 0; }
-EOF
-if { (eval echo configure:1811: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
-  rm -rf conftest*
-  ac_cv_search_gettext="none required"
-else
-  echo "configure: failed program was:" >&5
-  cat conftest.$ac_ext >&5
-fi
-rm -f conftest*
-test "$ac_cv_search_gettext" = "no" && for i in intl; do
-LIBS="-l$i  $ac_func_search_save_LIBS"
-cat > conftest.$ac_ext <<EOF
-#line 1822 "configure"
-#include "confdefs.h"
-/* Override any gcc2 internal prototype to avoid an error.  */
-/* We use char because int might match the return type of a gcc2
-    builtin and then its argument prototype would still apply.  */
-char gettext();
-
-int main() {
-gettext()
-; return 0; }
-EOF
-if { (eval echo configure:1833: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
-  rm -rf conftest*
-  ac_cv_search_gettext="-l$i"
-break
-else
-  echo "configure: failed program was:" >&5
-  cat conftest.$ac_ext >&5
-fi
-rm -f conftest*
-done
-LIBS="$ac_func_search_save_LIBS"
-fi
-
-echo "$ac_t""$ac_cv_search_gettext" 1>&6
-if test "$ac_cv_search_gettext" != "no"; then
-  test "$ac_cv_search_gettext" = "none required" || LIBS="$ac_cv_search_gettext $LIBS"
-  
-else :
-  
-fi
-    if test "X$ac_cv_search_gettext" != "Xno"; then
-        gettext_libs="-L/usr/local/lib"
-        gettext_incl="-I/usr/local/include"
-    fi
-    LIBS="$save_LIBS"
-fi
-
-echo $ac_n "checking ld flags needed for gettext""... $ac_c" 1>&6
-echo "configure:1861: checking ld flags needed for gettext" >&5
-if eval "test \"`echo '$''{'cf_cv_gettext_libs'+set}'`\" = set"; then
-  echo $ac_n "(cached) $ac_c" 1>&6
-else
-   cf_cv_gettext_libs="$gettext_libs" 
-fi
-
-echo "$ac_t""$cf_cv_gettext_libs" 1>&6
-echo $ac_n "checking cpp flags needed for gettext""... $ac_c" 1>&6
-echo "configure:1870: checking cpp flags needed for gettext" >&5
-if eval "test \"`echo '$''{'cf_cv_gettext_incl'+set}'`\" = set"; then
-  echo $ac_n "(cached) $ac_c" 1>&6
-else
-   cf_cv_gettext_incl="$gettext_incl" 
-fi
-
-echo "$ac_t""$cf_cv_gettext_incl" 1>&6
-
-LIBS="$LIBS $cf_cv_gettext_libs"
-CPPFLAGS="$CPPFLAGS $cf_cv_gettext_incl"
-
-for ac_func in gettext
-do
-echo $ac_n "checking for $ac_func""... $ac_c" 1>&6
-echo "configure:1885: checking for $ac_func" >&5
-if eval "test \"`echo '$''{'ac_cv_func_$ac_func'+set}'`\" = set"; then
-  echo $ac_n "(cached) $ac_c" 1>&6
-else
-  cat > conftest.$ac_ext <<EOF
-#line 1890 "configure"
-#include "confdefs.h"
-/* System header to define __stub macros and hopefully few prototypes,
-    which can conflict with char $ac_func(); below.  */
-#include <assert.h>
-/* Override any gcc2 internal prototype to avoid an error.  */
-/* We use char because int might match the return type of a gcc2
-    builtin and then its argument prototype would still apply.  */
-char $ac_func();
-
-int main() {
-
-/* The GNU C library defines this for functions which it implements
-    to always fail with ENOSYS.  Some functions are actually named
-    something starting with __ and the normal name is an alias.  */
-#if defined (__stub_$ac_func) || defined (__stub___$ac_func)
-choke me
-#else
-$ac_func();
-#endif
-
-; return 0; }
-EOF
-if { (eval echo configure:1913: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
-  rm -rf conftest*
-  eval "ac_cv_func_$ac_func=yes"
-else
-  echo "configure: failed program was:" >&5
-  cat conftest.$ac_ext >&5
-  rm -rf conftest*
-  eval "ac_cv_func_$ac_func=no"
-fi
-rm -f conftest*
-fi
-
-if eval "test \"`echo '$ac_cv_func_'$ac_func`\" = yes"; then
-  echo "$ac_t""yes" 1>&6
-    ac_tr_func=HAVE_`echo $ac_func | tr 'abcdefghijklmnopqrstuvwxyz' 'ABCDEFGHIJKLMNOPQRSTUVWXYZ'`
-  cat >> confdefs.h <<EOF
-#define $ac_tr_func 1
-EOF
- 
-else
-  echo "$ac_t""no" 1>&6
-echo $ac_n "checking for gettext in -lintl""... $ac_c" 1>&6
-echo "configure:1935: checking for gettext in -lintl" >&5
-ac_lib_var=`echo intl'_'gettext | sed 'y%./+-%__p_%'`
-if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
-  echo $ac_n "(cached) $ac_c" 1>&6
-else
-  ac_save_LIBS="$LIBS"
-LIBS="-lintl  $LIBS"
-cat > conftest.$ac_ext <<EOF
-#line 1943 "configure"
-#include "confdefs.h"
-/* Override any gcc2 internal prototype to avoid an error.  */
-/* We use char because int might match the return type of a gcc2
-    builtin and then its argument prototype would still apply.  */
-char gettext();
-
-int main() {
-gettext()
-; return 0; }
-EOF
-if { (eval echo configure:1954: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
-  rm -rf conftest*
-  eval "ac_cv_lib_$ac_lib_var=yes"
-else
-  echo "configure: failed program was:" >&5
-  cat conftest.$ac_ext >&5
-  rm -rf conftest*
-  eval "ac_cv_lib_$ac_lib_var=no"
-fi
-rm -f conftest*
-LIBS="$ac_save_LIBS"
-
-fi
-if eval "test \"`echo '$ac_cv_lib_'$ac_lib_var`\" = yes"; then
-  echo "$ac_t""yes" 1>&6
-    ac_tr_lib=HAVE_LIB`echo intl | sed -e 's/^a-zA-Z0-9_/_/g' \
-    -e 'y/abcdefghijklmnopqrstuvwxyz/ABCDEFGHIJKLMNOPQRSTUVWXYZ/'`
-  cat >> confdefs.h <<EOF
-#define $ac_tr_lib 1
-EOF
-
-  LIBS="-lintl $LIBS"
-
-else
-  echo "$ac_t""no" 1>&6
-fi
-
-fi
-done
-
-
 echo $ac_n "checking how to run the C preprocessor""... $ac_c" 1>&6
-echo "configure:1986: checking how to run the C preprocessor" >&5
+echo "configure:1737: checking how to run the C preprocessor" >&5
 # On Suns, sometimes $CPP names a directory.
 if test -n "$CPP" && test -d "$CPP"; then
   CPP=
@@ -1997,13 +1748,13 @@
   # On the NeXT, cc -E runs the code through the compiler's parser,
   # not just through cpp.
   cat > conftest.$ac_ext <<EOF
-#line 2001 "configure"
+#line 1752 "configure"
 #include "confdefs.h"
 #include <assert.h>
 Syntax Error
 EOF
 ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
-{ (eval echo configure:2007: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
+{ (eval echo configure:1758: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
 ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
 if test -z "$ac_err"; then
   :
@@ -2014,13 +1765,13 @@
   rm -rf conftest*
   CPP="${CC-cc} -E -traditional-cpp"
   cat > conftest.$ac_ext <<EOF
-#line 2018 "configure"
+#line 1769 "configure"
 #include "confdefs.h"
 #include <assert.h>
 Syntax Error
 EOF
 ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
-{ (eval echo configure:2024: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
+{ (eval echo configure:1775: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
 ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
 if test -z "$ac_err"; then
   :
@@ -2031,13 +1782,13 @@
   rm -rf conftest*
   CPP="${CC-cc} -nologo -E"
   cat > conftest.$ac_ext <<EOF
-#line 2035 "configure"
+#line 1786 "configure"
 #include "confdefs.h"
 #include <assert.h>
 Syntax Error
 EOF
 ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
-{ (eval echo configure:2041: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
+{ (eval echo configure:1792: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
 ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
 if test -z "$ac_err"; then
   :
@@ -2062,12 +1813,12 @@
 echo "$ac_t""$CPP" 1>&6
 
 echo $ac_n "checking for ANSI C header files""... $ac_c" 1>&6
-echo "configure:2066: checking for ANSI C header files" >&5
+echo "configure:1817: checking for ANSI C header files" >&5
 if eval "test \"`echo '$''{'ac_cv_header_stdc'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
   cat > conftest.$ac_ext <<EOF
-#line 2071 "configure"
+#line 1822 "configure"
 #include "confdefs.h"
 #include <stdlib.h>
 #include <stdarg.h>
@@ -2075,7 +1826,7 @@
 #include <float.h>
 EOF
 ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
-{ (eval echo configure:2079: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
+{ (eval echo configure:1830: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
 ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
 if test -z "$ac_err"; then
   rm -rf conftest*
@@ -2092,7 +1843,7 @@
 if test $ac_cv_header_stdc = yes; then
   # SunOS 4.x string.h does not declare mem*, contrary to ANSI.
 cat > conftest.$ac_ext <<EOF
-#line 2096 "configure"
+#line 1847 "configure"
 #include "confdefs.h"
 #include <string.h>
 EOF
@@ -2110,7 +1861,7 @@
 if test $ac_cv_header_stdc = yes; then
   # ISC 2.0.2 stdlib.h does not declare free, contrary to ANSI.
 cat > conftest.$ac_ext <<EOF
-#line 2114 "configure"
+#line 1865 "configure"
 #include "confdefs.h"
 #include <stdlib.h>
 EOF
@@ -2131,7 +1882,7 @@
   :
 else
   cat > conftest.$ac_ext <<EOF
-#line 2135 "configure"
+#line 1886 "configure"
 #include "confdefs.h"
 #include <ctype.h>
 #define ISLOWER(c) ('a' <= (c) && (c) <= 'z')
@@ -2142,7 +1893,7 @@
 exit (0); }
 
 EOF
-if { (eval echo configure:2146: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
+if { (eval echo configure:1897: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
 then
   :
 else
@@ -2169,17 +1920,17 @@
 do
 ac_safe=`echo "$ac_hdr" | sed 'y%./+-%__p_%'`
 echo $ac_n "checking for $ac_hdr""... $ac_c" 1>&6
-echo "configure:2173: checking for $ac_hdr" >&5
+echo "configure:1924: checking for $ac_hdr" >&5
 if eval "test \"`echo '$''{'ac_cv_header_$ac_safe'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
   cat > conftest.$ac_ext <<EOF
-#line 2178 "configure"
+#line 1929 "configure"
 #include "confdefs.h"
 #include <$ac_hdr>
 EOF
 ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
-{ (eval echo configure:2183: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
+{ (eval echo configure:1934: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
 ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
 if test -z "$ac_err"; then
   rm -rf conftest*
@@ -2209,12 +1960,12 @@
 
 
 echo $ac_n "checking whether string.h and strings.h may both be included""... $ac_c" 1>&6
-echo "configure:2213: checking whether string.h and strings.h may both be included" >&5
+echo "configure:1964: checking whether string.h and strings.h may both be included" >&5
 if eval "test \"`echo '$''{'gcc_cv_header_string'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
   cat > conftest.$ac_ext <<EOF
-#line 2218 "configure"
+#line 1969 "configure"
 #include "confdefs.h"
 #include <string.h>
 #include <strings.h>
@@ -2222,7 +1973,7 @@
 
 ; return 0; }
 EOF
-if { (eval echo configure:2226: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
+if { (eval echo configure:1977: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
   rm -rf conftest*
   gcc_cv_header_string=yes
 else
@@ -2248,13 +1999,13 @@
 
 
 	echo $ac_n "checking for socklen_t""... $ac_c" 1>&6
-echo "configure:2252: checking for socklen_t" >&5
+echo "configure:2003: checking for socklen_t" >&5
 	if eval "test \"`echo '$''{'have_socklen_t'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
   
 		cat > conftest.$ac_ext <<EOF
-#line 2258 "configure"
+#line 2009 "configure"
 #include "confdefs.h"
 #include <sys/types.h>
 			#include <sys/socket.h>
@@ -2262,7 +2013,7 @@
 socklen_t xxx = 75;
 ; return 0; }
 EOF
-if { (eval echo configure:2266: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
+if { (eval echo configure:2017: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
   rm -rf conftest*
   have_socklen_t=yes
 else
@@ -2286,17 +2037,17 @@
 
 ac_safe=`echo "stdarg.h" | sed 'y%./+-%__p_%'`
 echo $ac_n "checking for stdarg.h""... $ac_c" 1>&6
-echo "configure:2290: checking for stdarg.h" >&5
+echo "configure:2041: checking for stdarg.h" >&5
 if eval "test \"`echo '$''{'ac_cv_header_$ac_safe'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
   cat > conftest.$ac_ext <<EOF
-#line 2295 "configure"
+#line 2046 "configure"
 #include "confdefs.h"
 #include <stdarg.h>
 EOF
 ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
-{ (eval echo configure:2300: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
+{ (eval echo configure:2051: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
 ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
 if test -z "$ac_err"; then
   rm -rf conftest*
@@ -2322,12 +2073,12 @@
 for ac_func in strlcat strlcpy writev socketpair mmap
 do
 echo $ac_n "checking for $ac_func""... $ac_c" 1>&6
-echo "configure:2326: checking for $ac_func" >&5
+echo "configure:2077: checking for $ac_func" >&5
 if eval "test \"`echo '$''{'ac_cv_func_$ac_func'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
   cat > conftest.$ac_ext <<EOF
-#line 2331 "configure"
+#line 2082 "configure"
 #include "confdefs.h"
 /* System header to define __stub macros and hopefully few prototypes,
     which can conflict with char $ac_func(); below.  */
@@ -2350,7 +2101,7 @@
 
 ; return 0; }
 EOF
-if { (eval echo configure:2354: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:2105: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_func_$ac_func=yes"
 else
@@ -2378,12 +2129,12 @@
 for ac_func in snprintf
 do
 echo $ac_n "checking for $ac_func""... $ac_c" 1>&6
-echo "configure:2382: checking for $ac_func" >&5
+echo "configure:2133: checking for $ac_func" >&5
 if eval "test \"`echo '$''{'ac_cv_func_$ac_func'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
   cat > conftest.$ac_ext <<EOF
-#line 2387 "configure"
+#line 2138 "configure"
 #include "confdefs.h"
 /* System header to define __stub macros and hopefully few prototypes,
     which can conflict with char $ac_func(); below.  */
@@ -2406,7 +2157,7 @@
 
 ; return 0; }
 EOF
-if { (eval echo configure:2410: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:2161: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_func_$ac_func=yes"
 else
@@ -2433,12 +2184,12 @@
 for ac_func in vsnprintf
 do
 echo $ac_n "checking for $ac_func""... $ac_c" 1>&6
-echo "configure:2437: checking for $ac_func" >&5
+echo "configure:2188: checking for $ac_func" >&5
 if eval "test \"`echo '$''{'ac_cv_func_$ac_func'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
   cat > conftest.$ac_ext <<EOF
-#line 2442 "configure"
+#line 2193 "configure"
 #include "confdefs.h"
 /* System header to define __stub macros and hopefully few prototypes,
     which can conflict with char $ac_func(); below.  */
@@ -2461,7 +2212,7 @@
 
 ; return 0; }
 EOF
-if { (eval echo configure:2465: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:2216: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_func_$ac_func=yes"
 else
@@ -2497,9 +2248,9 @@
 cpp_flags_backup="$CPPFLAGS"
 CPPFLAGS="$CPPFLAGS -dM"
 echo $ac_n "checking for getrlimit max open files parameter""... $ac_c" 1>&6
-echo "configure:2501: checking for getrlimit max open files parameter" >&5
+echo "configure:2252: checking for getrlimit max open files parameter" >&5
 cat > conftest.$ac_ext <<EOF
-#line 2503 "configure"
+#line 2254 "configure"
 #include "confdefs.h"
 #include <sys/resource.h>
 EOF
@@ -2511,7 +2262,7 @@
 rm -f conftest*
 
 cat > conftest.$ac_ext <<EOF
-#line 2515 "configure"
+#line 2266 "configure"
 #include "confdefs.h"
 #include <sys/resource.h>
 EOF
@@ -2523,7 +2274,7 @@
 rm -f conftest*
 
 cat > conftest.$ac_ext <<EOF
-#line 2527 "configure"
+#line 2278 "configure"
 #include "confdefs.h"
 #include <sys/resource.h>
 EOF
@@ -2545,7 +2296,7 @@
 fi
 
 echo $ac_n "checking for OpenSSL""... $ac_c" 1>&6
-echo "configure:2549: checking for OpenSSL" >&5
+echo "configure:2300: checking for OpenSSL" >&5
 # Check whether --enable-openssl or --disable-openssl was given.
 if test "${enable_openssl+set}" = set; then
   enableval="$enable_openssl"
@@ -2600,12 +2351,12 @@
 LIBS="$LIBS $SSL_LIBS"
 if test "X$cf_enable_openssl" != "Xno"; then
         echo $ac_n "checking for OpenSSL 0.9.6 or above""... $ac_c" 1>&6
-echo "configure:2604: checking for OpenSSL 0.9.6 or above" >&5
+echo "configure:2355: checking for OpenSSL 0.9.6 or above" >&5
     if test "$cross_compiling" = yes; then
   cf_openssl_version_ok='no'
 else
   cat > conftest.$ac_ext <<EOF
-#line 2609 "configure"
+#line 2360 "configure"
 #include "confdefs.h"
 
 #include <openssl/opensslv.h>
@@ -2619,7 +2370,7 @@
 }
     
 EOF
-if { (eval echo configure:2623: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
+if { (eval echo configure:2374: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
 then
   cf_openssl_version_ok='yes'
 else
@@ -2637,7 +2388,7 @@
                 save_CPPFLAGS="$CPPFLAGS"
         CPPFLAGS="$CPPFLAGS $SSL_LIBS"
         echo $ac_n "checking for RSA_free in -lcrypto""... $ac_c" 1>&6
-echo "configure:2641: checking for RSA_free in -lcrypto" >&5
+echo "configure:2392: checking for RSA_free in -lcrypto" >&5
 ac_lib_var=`echo crypto'_'RSA_free | sed 'y%./+-%__p_%'`
 if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
@@ -2645,7 +2396,7 @@
   ac_save_LIBS="$LIBS"
 LIBS="-lcrypto  $LIBS"
 cat > conftest.$ac_ext <<EOF
-#line 2649 "configure"
+#line 2400 "configure"
 #include "confdefs.h"
 /* Override any gcc2 internal prototype to avoid an error.  */
 /* We use char because int might match the return type of a gcc2
@@ -2656,7 +2407,7 @@
 RSA_free()
 ; return 0; }
 EOF
-if { (eval echo configure:2660: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:2411: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_lib_$ac_lib_var=yes"
 else
@@ -2688,12 +2439,12 @@
             for ac_func in EVP_bf_cfb
 do
 echo $ac_n "checking for $ac_func""... $ac_c" 1>&6
-echo "configure:2692: checking for $ac_func" >&5
+echo "configure:2443: checking for $ac_func" >&5
 if eval "test \"`echo '$''{'ac_cv_func_$ac_func'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
   cat > conftest.$ac_ext <<EOF
-#line 2697 "configure"
+#line 2448 "configure"
 #include "confdefs.h"
 /* System header to define __stub macros and hopefully few prototypes,
     which can conflict with char $ac_func(); below.  */
@@ -2716,7 +2467,7 @@
 
 ; return 0; }
 EOF
-if { (eval echo configure:2720: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:2471: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_func_$ac_func=yes"
 else
@@ -2743,12 +2494,12 @@
             for ac_func in EVP_cast5_cfb
 do
 echo $ac_n "checking for $ac_func""... $ac_c" 1>&6
-echo "configure:2747: checking for $ac_func" >&5
+echo "configure:2498: checking for $ac_func" >&5
 if eval "test \"`echo '$''{'ac_cv_func_$ac_func'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
   cat > conftest.$ac_ext <<EOF
-#line 2752 "configure"
+#line 2503 "configure"
 #include "confdefs.h"
 /* System header to define __stub macros and hopefully few prototypes,
     which can conflict with char $ac_func(); below.  */
@@ -2771,7 +2522,7 @@
 
 ; return 0; }
 EOF
-if { (eval echo configure:2775: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:2526: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_func_$ac_func=yes"
 else
@@ -2798,12 +2549,12 @@
             for ac_func in EVP_idea_cfb
 do
 echo $ac_n "checking for $ac_func""... $ac_c" 1>&6
-echo "configure:2802: checking for $ac_func" >&5
+echo "configure:2553: checking for $ac_func" >&5
 if eval "test \"`echo '$''{'ac_cv_func_$ac_func'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
   cat > conftest.$ac_ext <<EOF
-#line 2807 "configure"
+#line 2558 "configure"
 #include "confdefs.h"
 /* System header to define __stub macros and hopefully few prototypes,
     which can conflict with char $ac_func(); below.  */
@@ -2826,7 +2577,7 @@
 
 ; return 0; }
 EOF
-if { (eval echo configure:2830: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:2581: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_func_$ac_func=yes"
 else
@@ -2853,12 +2604,12 @@
             for ac_func in EVP_rc5_32_12_16_cfb
 do
 echo $ac_n "checking for $ac_func""... $ac_c" 1>&6
-echo "configure:2857: checking for $ac_func" >&5
+echo "configure:2608: checking for $ac_func" >&5
 if eval "test \"`echo '$''{'ac_cv_func_$ac_func'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
   cat > conftest.$ac_ext <<EOF
-#line 2862 "configure"
+#line 2613 "configure"
 #include "confdefs.h"
 /* System header to define __stub macros and hopefully few prototypes,
     which can conflict with char $ac_func(); below.  */
@@ -2881,7 +2632,7 @@
 
 ; return 0; }
 EOF
-if { (eval echo configure:2885: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:2636: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_func_$ac_func=yes"
 else
@@ -2908,12 +2659,12 @@
             for ac_func in EVP_des_ede3_cfb
 do
 echo $ac_n "checking for $ac_func""... $ac_c" 1>&6
-echo "configure:2912: checking for $ac_func" >&5
+echo "configure:2663: checking for $ac_func" >&5
 if eval "test \"`echo '$''{'ac_cv_func_$ac_func'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
   cat > conftest.$ac_ext <<EOF
-#line 2917 "configure"
+#line 2668 "configure"
 #include "confdefs.h"
 /* System header to define __stub macros and hopefully few prototypes,
     which can conflict with char $ac_func(); below.  */
@@ -2936,7 +2687,7 @@
 
 ; return 0; }
 EOF
-if { (eval echo configure:2940: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:2691: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_func_$ac_func=yes"
 else
@@ -2963,12 +2714,12 @@
             for ac_func in EVP_des_cfb
 do
 echo $ac_n "checking for $ac_func""... $ac_c" 1>&6
-echo "configure:2967: checking for $ac_func" >&5
+echo "configure:2718: checking for $ac_func" >&5
 if eval "test \"`echo '$''{'ac_cv_func_$ac_func'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
   cat > conftest.$ac_ext <<EOF
-#line 2972 "configure"
+#line 2723 "configure"
 #include "confdefs.h"
 /* System header to define __stub macros and hopefully few prototypes,
     which can conflict with char $ac_func(); below.  */
@@ -2991,7 +2742,7 @@
 
 ; return 0; }
 EOF
-if { (eval echo configure:2995: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:2746: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_func_$ac_func=yes"
 else
@@ -3026,7 +2777,7 @@
 LIBS="$save_LIBS"
 
 echo $ac_n "checking if you want to try to use zlib""... $ac_c" 1>&6
-echo "configure:3030: checking if you want to try to use zlib" >&5
+echo "configure:2781: checking if you want to try to use zlib" >&5
 # Check whether --enable-zlib or --disable-zlib was given.
 if test "${enable_zlib+set}" = set; then
   enableval="$enable_zlib"
@@ -3040,7 +2791,7 @@
 case "$cf_enable_zlib" in
   yes)
     echo $ac_n "checking for deflate in -lz""... $ac_c" 1>&6
-echo "configure:3044: checking for deflate in -lz" >&5
+echo "configure:2795: checking for deflate in -lz" >&5
 ac_lib_var=`echo z'_'deflate | sed 'y%./+-%__p_%'`
 if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
@@ -3048,7 +2799,7 @@
   ac_save_LIBS="$LIBS"
 LIBS="-lz  $LIBS"
 cat > conftest.$ac_ext <<EOF
-#line 3052 "configure"
+#line 2803 "configure"
 #include "confdefs.h"
 /* Override any gcc2 internal prototype to avoid an error.  */
 /* We use char because int might match the return type of a gcc2
@@ -3059,7 +2810,7 @@
 deflate()
 ; return 0; }
 EOF
-if { (eval echo configure:3063: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:2814: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_lib_$ac_lib_var=yes"
 else
@@ -3087,12 +2838,12 @@
 fi
 
     echo $ac_n "checking for zlibVersion""... $ac_c" 1>&6
-echo "configure:3091: checking for zlibVersion" >&5
+echo "configure:2842: checking for zlibVersion" >&5
 if eval "test \"`echo '$''{'ac_cv_func_zlibVersion'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
   cat > conftest.$ac_ext <<EOF
-#line 3096 "configure"
+#line 2847 "configure"
 #include "confdefs.h"
 /* System header to define __stub macros and hopefully few prototypes,
     which can conflict with char zlibVersion(); below.  */
@@ -3115,7 +2866,7 @@
 
 ; return 0; }
 EOF
-if { (eval echo configure:3119: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:2870: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_func_zlibVersion=yes"
 else
@@ -3141,7 +2892,7 @@
   *)
     LIBS="$LIBS -L$cf_enable_zlib"
     echo $ac_n "checking for deflate in -lz""... $ac_c" 1>&6
-echo "configure:3145: checking for deflate in -lz" >&5
+echo "configure:2896: checking for deflate in -lz" >&5
 ac_lib_var=`echo z'_'deflate | sed 'y%./+-%__p_%'`
 if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
@@ -3149,7 +2900,7 @@
   ac_save_LIBS="$LIBS"
 LIBS="-lz  $LIBS"
 cat > conftest.$ac_ext <<EOF
-#line 3153 "configure"
+#line 2904 "configure"
 #include "confdefs.h"
 /* Override any gcc2 internal prototype to avoid an error.  */
 /* We use char because int might match the return type of a gcc2
@@ -3160,7 +2911,7 @@
 deflate()
 ; return 0; }
 EOF
-if { (eval echo configure:3164: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:2915: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_lib_$ac_lib_var=yes"
 else
@@ -3188,12 +2939,12 @@
 fi
 
     echo $ac_n "checking for zlibVersion""... $ac_c" 1>&6
-echo "configure:3192: checking for zlibVersion" >&5
+echo "configure:2943: checking for zlibVersion" >&5
 if eval "test \"`echo '$''{'ac_cv_func_zlibVersion'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
   cat > conftest.$ac_ext <<EOF
-#line 3197 "configure"
+#line 2948 "configure"
 #include "confdefs.h"
 /* System header to define __stub macros and hopefully few prototypes,
     which can conflict with char zlibVersion(); below.  */
@@ -3216,7 +2967,7 @@
 
 ; return 0; }
 EOF
-if { (eval echo configure:3220: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:2971: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_func_zlibVersion=yes"
 else
@@ -3241,7 +2992,7 @@
 
 
 echo $ac_n "checking if you want to do a profile build""... $ac_c" 1>&6
-echo "configure:3245: checking if you want to do a profile build" >&5
+echo "configure:2996: checking if you want to do a profile build" >&5
 # Check whether --enable-profile or --disable-profile was given.
 if test "${enable_profile+set}" = set; then
   enableval="$enable_profile"
@@ -3262,7 +3013,7 @@
 
 
 echo $ac_n "checking if you want ElectricFence""... $ac_c" 1>&6
-echo "configure:3266: checking if you want ElectricFence" >&5
+echo "configure:3017: checking if you want ElectricFence" >&5
 # Check whether --enable-efence or --disable-efence was given.
 if test "${enable_efence+set}" = set; then
   enableval="$enable_efence"
@@ -3286,7 +3037,7 @@
 
 
 echo $ac_n "checking if you want the block allocator""... $ac_c" 1>&6
-echo "configure:3290: checking if you want the block allocator" >&5
+echo "configure:3041: checking if you want the block allocator" >&5
 # Check whether --enable-block-alloc or --disable-block-alloc was given.
 if test "${enable_block_alloc+set}" = set; then
   enableval="$enable_block_alloc"
@@ -3401,13 +3152,13 @@
 
 if test $ac_cv_prog_gcc = yes; then
     echo $ac_n "checking whether ${CC-cc} needs -traditional""... $ac_c" 1>&6
-echo "configure:3405: checking whether ${CC-cc} needs -traditional" >&5
+echo "configure:3156: checking whether ${CC-cc} needs -traditional" >&5
 if eval "test \"`echo '$''{'ac_cv_prog_gcc_traditional'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
     ac_pattern="Autoconf.*'x'"
   cat > conftest.$ac_ext <<EOF
-#line 3411 "configure"
+#line 3162 "configure"
 #include "confdefs.h"
 #include <sgtty.h>
 Autoconf TIOCGETP
@@ -3425,7 +3176,7 @@
 
   if test $ac_cv_prog_gcc_traditional = no; then
     cat > conftest.$ac_ext <<EOF
-#line 3429 "configure"
+#line 3180 "configure"
 #include "confdefs.h"
 #include <termio.h>
 Autoconf TCGETA
@@ -3449,12 +3200,12 @@
 
 
 echo $ac_n "checking for u_int32_t""... $ac_c" 1>&6
-echo "configure:3453: checking for u_int32_t" >&5
+echo "configure:3204: checking for u_int32_t" >&5
 if eval "test \"`echo '$''{'ac_cv_type_u_int32_t'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
   cat > conftest.$ac_ext <<EOF
-#line 3458 "configure"
+#line 3209 "configure"
 #include "confdefs.h"
 #include <sys/types.h>
 #if STDC_HEADERS
@@ -3483,12 +3234,12 @@
 
 
 echo $ac_n "checking for uintptr_t""... $ac_c" 1>&6
-echo "configure:3487: checking for uintptr_t" >&5
+echo "configure:3238: checking for uintptr_t" >&5
 if eval "test \"`echo '$''{'ac_cv_type_uintptr_t'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
   cat > conftest.$ac_ext <<EOF
-#line 3492 "configure"
+#line 3243 "configure"
 #include "confdefs.h"
 #include <sys/types.h>
 #if STDC_HEADERS
@@ -3518,12 +3269,12 @@
 
 rm -f conftest conftest.f
 echo $ac_n "checking for poll""... $ac_c" 1>&6
-echo "configure:3522: checking for poll" >&5
+echo "configure:3273: checking for poll" >&5
 if eval "test \"`echo '$''{'ac_cv_func_poll'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
   cat > conftest.$ac_ext <<EOF
-#line 3527 "configure"
+#line 3278 "configure"
 #include "confdefs.h"
 /* System header to define __stub macros and hopefully few prototypes,
     which can conflict with char poll(); below.  */
@@ -3546,7 +3297,7 @@
 
 ; return 0; }
 EOF
-if { (eval echo configure:3550: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:3301: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_func_poll=yes"
 else
@@ -3572,12 +3323,12 @@
 	for ac_func in kevent
 do
 echo $ac_n "checking for $ac_func""... $ac_c" 1>&6
-echo "configure:3576: checking for $ac_func" >&5
+echo "configure:3327: checking for $ac_func" >&5
 if eval "test \"`echo '$''{'ac_cv_func_$ac_func'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
   cat > conftest.$ac_ext <<EOF
-#line 3581 "configure"
+#line 3332 "configure"
 #include "confdefs.h"
 /* System header to define __stub macros and hopefully few prototypes,
     which can conflict with char $ac_func(); below.  */
@@ -3600,7 +3351,7 @@
 
 ; return 0; }
 EOF
-if { (eval echo configure:3604: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:3355: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_func_$ac_func=yes"
 else
@@ -3680,19 +3431,6 @@
 
 
 
-if test "$ac_cv_func_gettext" = "yes" -o "$ac_cv_lib_intl_gettext" = "yes"; then
-	echo "Building with gettext."
-	MSGFMT="msgfmt -o"
-	SUBDIR_MESSAGES="messages"
-        cat >> confdefs.h <<\EOF
-#define HAVE_GETTEXT 1
-EOF
-
-else
-	MSGFMT="echo"
-	SUBDIR_MESSAGES=""
-fi
-
 # Check whether --enable-ipv6 or --disable-ipv6 was given.
 if test "${enable_ipv6+set}" = set; then
   enableval="$enable_ipv6"
@@ -3857,12 +3595,12 @@
 	SEDOBJ="s/.o:/.so:/"
         
         echo $ac_n "checking for shl_load""... $ac_c" 1>&6
-echo "configure:3861: checking for shl_load" >&5
+echo "configure:3599: checking for shl_load" >&5
 if eval "test \"`echo '$''{'ac_cv_func_shl_load'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
   cat > conftest.$ac_ext <<EOF
-#line 3866 "configure"
+#line 3604 "configure"
 #include "confdefs.h"
 /* System header to define __stub macros and hopefully few prototypes,
     which can conflict with char shl_load(); below.  */
@@ -3885,7 +3623,7 @@
 
 ; return 0; }
 EOF
-if { (eval echo configure:3889: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:3627: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_func_shl_load=yes"
 else
@@ -3909,7 +3647,7 @@
 else
   echo "$ac_t""no" 1>&6
 echo $ac_n "checking for shl_load in -ldld""... $ac_c" 1>&6
-echo "configure:3913: checking for shl_load in -ldld" >&5
+echo "configure:3651: checking for shl_load in -ldld" >&5
 ac_lib_var=`echo dld'_'shl_load | sed 'y%./+-%__p_%'`
 if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
@@ -3917,7 +3655,7 @@
   ac_save_LIBS="$LIBS"
 LIBS="-ldld  $LIBS"
 cat > conftest.$ac_ext <<EOF
-#line 3921 "configure"
+#line 3659 "configure"
 #include "confdefs.h"
 /* Override any gcc2 internal prototype to avoid an error.  */
 /* We use char because int might match the return type of a gcc2
@@ -3928,7 +3666,7 @@
 shl_load()
 ; return 0; }
 EOF
-if { (eval echo configure:3932: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:3670: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_lib_$ac_lib_var=yes"
 else
@@ -3961,17 +3699,17 @@
         if test "$ac_cv_have_shl_load" = "no"; then
             ac_safe=`echo "mach-o/dyld.h" | sed 'y%./+-%__p_%'`
 echo $ac_n "checking for mach-o/dyld.h""... $ac_c" 1>&6
-echo "configure:3965: checking for mach-o/dyld.h" >&5
+echo "configure:3703: checking for mach-o/dyld.h" >&5
 if eval "test \"`echo '$''{'ac_cv_header_$ac_safe'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
   cat > conftest.$ac_ext <<EOF
-#line 3970 "configure"
+#line 3708 "configure"
 #include "confdefs.h"
 #include <mach-o/dyld.h>
 EOF
 ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
-{ (eval echo configure:3975: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
+{ (eval echo configure:3713: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
 ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
 if test -z "$ac_err"; then
   rm -rf conftest*
@@ -3992,12 +3730,12 @@
   echo "$ac_t""no" 1>&6
 
         echo $ac_n "checking for dlopen""... $ac_c" 1>&6
-echo "configure:3996: checking for dlopen" >&5
+echo "configure:3734: checking for dlopen" >&5
 if eval "test \"`echo '$''{'ac_cv_func_dlopen'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
   cat > conftest.$ac_ext <<EOF
-#line 4001 "configure"
+#line 3739 "configure"
 #include "confdefs.h"
 /* System header to define __stub macros and hopefully few prototypes,
     which can conflict with char dlopen(); below.  */
@@ -4020,7 +3758,7 @@
 
 ; return 0; }
 EOF
-if { (eval echo configure:4024: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:3762: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_func_dlopen=yes"
 else
@@ -4040,7 +3778,7 @@
 else
   echo "$ac_t""no" 1>&6
 echo $ac_n "checking for dlopen in -ldl""... $ac_c" 1>&6
-echo "configure:4044: checking for dlopen in -ldl" >&5
+echo "configure:3782: checking for dlopen in -ldl" >&5
 ac_lib_var=`echo dl'_'dlopen | sed 'y%./+-%__p_%'`
 if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
@@ -4048,7 +3786,7 @@
   ac_save_LIBS="$LIBS"
 LIBS="-ldl  $LIBS"
 cat > conftest.$ac_ext <<EOF
-#line 4052 "configure"
+#line 3790 "configure"
 #include "confdefs.h"
 /* Override any gcc2 internal prototype to avoid an error.  */
 /* We use char because int might match the return type of a gcc2
@@ -4059,7 +3797,7 @@
 dlopen()
 ; return 0; }
 EOF
-if { (eval echo configure:4063: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:3801: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_lib_$ac_lib_var=yes"
 else
@@ -4094,7 +3832,7 @@
             { echo "configure: error: shared module support could not be found - try running configure with --disable-shared-modules" 1>&2; exit 1; }
         fi
 		echo $ac_n "checking for dlsym in -ldl""... $ac_c" 1>&6
-echo "configure:4098: checking for dlsym in -ldl" >&5
+echo "configure:3836: checking for dlsym in -ldl" >&5
 ac_lib_var=`echo dl'_'dlsym | sed 'y%./+-%__p_%'`
 if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
@@ -4102,7 +3840,7 @@
   ac_save_LIBS="$LIBS"
 LIBS="-ldl  $LIBS"
 cat > conftest.$ac_ext <<EOF
-#line 4106 "configure"
+#line 3844 "configure"
 #include "confdefs.h"
 /* Override any gcc2 internal prototype to avoid an error.  */
 /* We use char because int might match the return type of a gcc2
@@ -4113,7 +3851,7 @@
 dlsym()
 ; return 0; }
 EOF
-if { (eval echo configure:4117: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:3855: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_lib_$ac_lib_var=yes"
 else
@@ -4143,12 +3881,12 @@
 	for ac_func in dlopen
 do
 echo $ac_n "checking for $ac_func""... $ac_c" 1>&6
-echo "configure:4147: checking for $ac_func" >&5
+echo "configure:3885: checking for $ac_func" >&5
 if eval "test \"`echo '$''{'ac_cv_func_$ac_func'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
   cat > conftest.$ac_ext <<EOF
-#line 4152 "configure"
+#line 3890 "configure"
 #include "confdefs.h"
 /* System header to define __stub macros and hopefully few prototypes,
     which can conflict with char $ac_func(); below.  */
@@ -4171,7 +3909,7 @@
 
 ; return 0; }
 EOF
-if { (eval echo configure:4175: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:3913: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_func_$ac_func=yes"
 else
@@ -4199,17 +3937,17 @@
 do
 ac_safe=`echo "$ac_hdr" | sed 'y%./+-%__p_%'`
 echo $ac_n "checking for $ac_hdr""... $ac_c" 1>&6
-echo "configure:4203: checking for $ac_hdr" >&5
+echo "configure:3941: checking for $ac_hdr" >&5
 if eval "test \"`echo '$''{'ac_cv_header_$ac_safe'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
   cat > conftest.$ac_ext <<EOF
-#line 4208 "configure"
+#line 3946 "configure"
 #include "confdefs.h"
 #include <$ac_hdr>
 EOF
 ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
-{ (eval echo configure:4213: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
+{ (eval echo configure:3951: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
 ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
 if test -z "$ac_err"; then
   rm -rf conftest*
@@ -4240,17 +3978,17 @@
 	# all symbols visible in the dynamic symbol table.
 	hold_ldflags=$LDFLAGS
 	echo $ac_n "checking for the ld -export-dynamic flag""... $ac_c" 1>&6
-echo "configure:4244: checking for the ld -export-dynamic flag" >&5
+echo "configure:3982: checking for the ld -export-dynamic flag" >&5
 	LDFLAGS="${LDFLAGS} -Wl,-export-dynamic"
 	cat > conftest.$ac_ext <<EOF
-#line 4247 "configure"
+#line 3985 "configure"
 #include "confdefs.h"
 
 int main() {
 int i;
 ; return 0; }
 EOF
-if { (eval echo configure:4254: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:3992: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   found=yes
 else
@@ -4267,7 +4005,7 @@
 	fi
 
 	echo $ac_n "checking for compiler option to produce PIC""... $ac_c" 1>&6
-echo "configure:4271: checking for compiler option to produce PIC" >&5
+echo "configure:4009: checking for compiler option to produce PIC" >&5
 				if test "$SGS" = "yes"; then
 		echo "$ac_t""SVR4 Software Generation System interfaces: -KPIC -DPIC -G" 1>&6
 		PICFLAGS="-KPIC -DPIC -G"
@@ -4299,12 +4037,12 @@
 
 	nlist_lib=""
 	echo $ac_n "checking for nlist""... $ac_c" 1>&6
-echo "configure:4303: checking for nlist" >&5
+echo "configure:4041: checking for nlist" >&5
 if eval "test \"`echo '$''{'ac_cv_func_nlist'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
   cat > conftest.$ac_ext <<EOF
-#line 4308 "configure"
+#line 4046 "configure"
 #include "confdefs.h"
 /* System header to define __stub macros and hopefully few prototypes,
     which can conflict with char nlist(); below.  */
@@ -4327,7 +4065,7 @@
 
 ; return 0; }
 EOF
-if { (eval echo configure:4331: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:4069: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_func_nlist=yes"
 else
@@ -4345,7 +4083,7 @@
 else
   echo "$ac_t""no" 1>&6
 echo $ac_n "checking for nlist in -ldl""... $ac_c" 1>&6
-echo "configure:4349: checking for nlist in -ldl" >&5
+echo "configure:4087: checking for nlist in -ldl" >&5
 ac_lib_var=`echo dl'_'nlist | sed 'y%./+-%__p_%'`
 if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
@@ -4353,7 +4091,7 @@
   ac_save_LIBS="$LIBS"
 LIBS="-ldl  $LIBS"
 cat > conftest.$ac_ext <<EOF
-#line 4357 "configure"
+#line 4095 "configure"
 #include "confdefs.h"
 /* Override any gcc2 internal prototype to avoid an error.  */
 /* We use char because int might match the return type of a gcc2
@@ -4364,7 +4102,7 @@
 nlist()
 ; return 0; }
 EOF
-if { (eval echo configure:4368: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:4106: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_lib_$ac_lib_var=yes"
 else
@@ -4383,7 +4121,7 @@
 else
   echo "$ac_t""no" 1>&6
 echo $ac_n "checking for nlist in -lelf""... $ac_c" 1>&6
-echo "configure:4387: checking for nlist in -lelf" >&5
+echo "configure:4125: checking for nlist in -lelf" >&5
 ac_lib_var=`echo elf'_'nlist | sed 'y%./+-%__p_%'`
 if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
@@ -4391,7 +4129,7 @@
   ac_save_LIBS="$LIBS"
 LIBS="-lelf  $LIBS"
 cat > conftest.$ac_ext <<EOF
-#line 4395 "configure"
+#line 4133 "configure"
 #include "confdefs.h"
 /* Override any gcc2 internal prototype to avoid an error.  */
 /* We use char because int might match the return type of a gcc2
@@ -4402,7 +4140,7 @@
 nlist()
 ; return 0; }
 EOF
-if { (eval echo configure:4406: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:4144: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_lib_$ac_lib_var=yes"
 else
@@ -4432,17 +4170,17 @@
 
                         	ac_safe=`echo "libelf/nlist.h" | sed 'y%./+-%__p_%'`
 echo $ac_n "checking for libelf/nlist.h""... $ac_c" 1>&6
-echo "configure:4436: checking for libelf/nlist.h" >&5
+echo "configure:4174: checking for libelf/nlist.h" >&5
 if eval "test \"`echo '$''{'ac_cv_header_$ac_safe'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
   cat > conftest.$ac_ext <<EOF
-#line 4441 "configure"
+#line 4179 "configure"
 #include "confdefs.h"
 #include <libelf/nlist.h>
 EOF
 ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
-{ (eval echo configure:4446: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
+{ (eval echo configure:4184: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
 ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
 if test -z "$ac_err"; then
   rm -rf conftest*
@@ -4465,17 +4203,17 @@
 
 	ac_safe=`echo "elf/nlist.h" | sed 'y%./+-%__p_%'`
 echo $ac_n "checking for elf/nlist.h""... $ac_c" 1>&6
-echo "configure:4469: checking for elf/nlist.h" >&5
+echo "configure:4207: checking for elf/nlist.h" >&5
 if eval "test \"`echo '$''{'ac_cv_header_$ac_safe'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
   cat > conftest.$ac_ext <<EOF
-#line 4474 "configure"
+#line 4212 "configure"
 #include "confdefs.h"
 #include <elf/nlist.h>
 EOF
 ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
-{ (eval echo configure:4479: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
+{ (eval echo configure:4217: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
 ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
 if test -z "$ac_err"; then
   rm -rf conftest*
@@ -4498,17 +4236,17 @@
 
 	ac_safe=`echo "nlist.h" | sed 'y%./+-%__p_%'`
 echo $ac_n "checking for nlist.h""... $ac_c" 1>&6
-echo "configure:4502: checking for nlist.h" >&5
+echo "configure:4240: checking for nlist.h" >&5
 if eval "test \"`echo '$''{'ac_cv_header_$ac_safe'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
   cat > conftest.$ac_ext <<EOF
-#line 4507 "configure"
+#line 4245 "configure"
 #include "confdefs.h"
 #include <nlist.h>
 EOF
 ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
-{ (eval echo configure:4512: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
+{ (eval echo configure:4250: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
 ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
 if test -z "$ac_err"; then
   rm -rf conftest*
@@ -4539,7 +4277,7 @@
 
 	else
 		echo $ac_n "checking for extra underscores prepended to symbol names""... $ac_c" 1>&6
-echo "configure:4543: checking for extra underscores prepended to symbol names" >&5
+echo "configure:4281: checking for extra underscores prepended to symbol names" >&5
 		if eval "test \"`echo '$''{'symbol_underscores'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
@@ -4604,7 +4342,7 @@
 
 if test "$ac_cv_efence" = "yes"; then
 	echo $ac_n "checking for malloc in -lefence""... $ac_c" 1>&6
-echo "configure:4608: checking for malloc in -lefence" >&5
+echo "configure:4346: checking for malloc in -lefence" >&5
 ac_lib_var=`echo efence'_'malloc | sed 'y%./+-%__p_%'`
 if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
@@ -4612,7 +4350,7 @@
   ac_save_LIBS="$LIBS"
 LIBS="-lefence  $LIBS"
 cat > conftest.$ac_ext <<EOF
-#line 4616 "configure"
+#line 4354 "configure"
 #include "confdefs.h"
 /* Override any gcc2 internal prototype to avoid an error.  */
 /* We use char because int might match the return type of a gcc2
@@ -4623,7 +4361,7 @@
 malloc()
 ; return 0; }
 EOF
-if { (eval echo configure:4627: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:4365: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_lib_$ac_lib_var=yes"
 else
@@ -4668,7 +4406,6 @@
 
 
 
-
 trap '' 1 2 15
 cat > confcache <<\EOF
 # This file is a shell script that caches the results of configure
@@ -4776,8 +4513,6 @@
  contrib/Makefile               \
  src/Makefile                   \
  adns/Makefile                  \
- messages/Makefile              \
- messages/translations/Makefile \
  modules/Makefile               \
  tools/Makefile                 \
  doc/Makefile                   \
@@ -4844,7 +4579,6 @@
 s%@SSL_INCLUDES@%$SSL_INCLUDES%g
 s%@SSL_LIBS@%$SSL_LIBS%g
 s%@INCDEP@%$INCDEP%g
-s%@SUBDIR_MESSAGES@%$SUBDIR_MESSAGES%g
 s%@MSGFMT@%$MSGFMT%g
 s%@IRC_CFLAGS@%$IRC_CFLAGS%g
 s%@SEDOBJ@%$SEDOBJ%g
@@ -4895,8 +4629,6 @@
  contrib/Makefile               \
  src/Makefile                   \
  adns/Makefile                  \
- messages/Makefile              \
- messages/translations/Makefile \
  modules/Makefile               \
  tools/Makefile                 \
  doc/Makefile                   \
diff -uNrd ircd-ratbox-1.4-2.dist/doc/example.conf ircd-ratbox-1.4-2/doc/example.conf
--- ircd-ratbox-1.4-2.dist/doc/example.conf	Wed Apr  7 16:37:42 2004
+++ ircd-ratbox-1.4-2/doc/example.conf	Sun May  9 21:48:00 2004
@@ -908,13 +908,6 @@
          */
         use_whois_actually = yes;
 
-	/* message locale: the default message locale if gettext() is enabled
-	 * and working.
-	 * Use "custom" for the (in)famous Hybrid custom messages.
-	 * Use "standard" for the compiled in defaults.
-	 */
-	message_locale = "custom";
-
 	/* usermodes configurable: a list of usermodes for the options below
 	 *
 	 * +b - bots       - See bot and drone flooding notices
diff -uNrd ircd-ratbox-1.4-2.dist/doc/example.efnet.conf ircd-ratbox-1.4-2/doc/example.efnet.conf
--- ircd-ratbox-1.4-2.dist/doc/example.efnet.conf	Wed Apr  7 16:37:42 2004
+++ ircd-ratbox-1.4-2/doc/example.efnet.conf	Sun May  9 21:48:05 2004
@@ -953,13 +953,6 @@
          */
         use_help = no;
 
-	/* message locale: the default message locale if gettext() is enabled
-	 * and working.
-	 * Use "custom" for the (in)famous Hybrid custom messages.
-	 * Use "standard" for the compiled in defaults.
-	 */
-	message_locale = "standard";
-
 	/* usermodes configurable: a list of usermodes for the options below
 	 *
 	 * +b - bots       - See bot and drone flooding notices
diff -uNrd ircd-ratbox-1.4-2.dist/include/config.h ircd-ratbox-1.4-2/include/config.h
--- ircd-ratbox-1.4-2.dist/include/config.h	Mon Mar 15 13:19:44 2004
+++ ircd-ratbox-1.4-2/include/config.h	Sun May  9 21:38:03 2004
@@ -91,7 +91,6 @@
  * LOGPATH     = directory for logfiles,
  * MODPATH     = directory for modules,
  * AUTOMODPATH = directory for autoloaded modules
- * MSGPATH     = directory for gettext message files.
  */
 
 /* dirs */
@@ -99,7 +98,6 @@
 #define BINPATH IRCD_PREFIX "/bin/"
 #define MODPATH IRCD_PREFIX "/modules/"
 #define AUTOMODPATH IRCD_PREFIX "/modules/autoload/"
-#define MSGPATH IRCD_PREFIX "/messages/"
 #define ETCPATH IRCD_PREFIX "/etc"
 #define LOGPATH IRCD_PREFIX "/logs"
 #define UHPATH   IRCD_PREFIX "/help/users"
@@ -133,7 +131,6 @@
  * ETCPATH     = directory for configuration files,
  * LOGPATH     = directory for logfiles,
  * MODPATH     = directory for autoloaded modules (disabled in VMS),
- * MSGPATH     = directory for gettext message files (disabled in VMS).
  */
 
 /* IRCD_PREFIX not needed in VMS -larne */
@@ -145,7 +142,6 @@
 
 #undef  MODPATH
 #undef  AUTOMODPATH
-#undef  MSGPATH
 
 #define SPATH    BINPATH "IRCD.EXE"	/* server executable */
 #define SLPATH   BINPATH "SERVLINK.EXE"	/* servlink executable */
@@ -165,11 +161,6 @@
 #define LIPATH   ETCPATH "LINKS.TXT"	/* cached LINKS file */
 
 #endif /* !VMS */
-
-/* WANT_GETTEXT - toggle gettext support.
- * NOTE: if configure doesn't detect gettext, this won't do anything.
- */
-#define WANT_GETTEXT
 
 /* Ignore bogus timestamps from other servers. Yes this will desync
  * the network, but it will allow chanops to resync with a valid non TS 0
diff -uNrd ircd-ratbox-1.4-2.dist/include/config.h.dist ircd-ratbox-1.4-2/include/config.h.dist
--- ircd-ratbox-1.4-2.dist/include/config.h.dist	Thu Jun 26 10:01:40 2003
+++ ircd-ratbox-1.4-2/include/config.h.dist	Sun May  9 21:38:11 2004
@@ -81,7 +81,6 @@
  * ETCPATH     = directory for configuration files,
  * LOGPATH     = directory for logfiles,
  * MODPATH     = directory for autoloaded modules (disabled in VMS),
- * MSGPATH     = directory for gettext message files (disabled in VMS).
  */
 
 /* IRCD_PREFIX not needed in VMS -larne */
@@ -93,7 +92,6 @@
 
 #undef  MODPATH
 #undef  AUTOMODPATH
-#undef  MSGPATH
 
 #define SPATH   BINPATH "IRCD.EXE"              /* server executable */
 #define SLPATH  BINPATH "SERVLINK.EXE"          /* servlink executable */
@@ -126,7 +124,6 @@
  * LOGPATH     = directory for logfiles,
  * MODPATH     = directory for modules,
  * AUTOMODPATH = directory for autoloaded modules
- * MSGPATH     = directory for gettext message files.
  */
 
 /* dirs */
@@ -134,7 +131,6 @@
 #define BINPATH IRCD_PREFIX "/bin/"
 #define MODPATH IRCD_PREFIX "/modules/"
 #define AUTOMODPATH IRCD_PREFIX "/modules/autoload/"
-#define MSGPATH IRCD_PREFIX "/messages/"
 #define ETCPATH IRCD_PREFIX "/etc"
 #define LOGPATH IRCD_PREFIX "/logs"
 #define UHPATH   IRCD_PREFIX "/help/users"
@@ -155,11 +151,6 @@
 #define LIPATH  ETCPATH "/links.txt"            /* cached links file */
 #endif /* !VMS */
 
-/* WANT_GETTEXT - toggle gettext support.
- * NOTE: if configure doesn't detect gettext, this won't do anything.
- */
-#define WANT_GETTEXT
- 
 /* Ignore bogus timestamps from other servers. Yes this will desync
  * the network, but it will allow chanops to resync with a valid non TS 0
  *
diff -uNrd ircd-ratbox-1.4-2.dist/include/defaults.h ircd-ratbox-1.4-2/include/defaults.h
--- ircd-ratbox-1.4-2.dist/include/defaults.h	Mon Mar 15 13:19:44 2004
+++ ircd-ratbox-1.4-2/include/defaults.h	Sun May  9 21:34:42 2004
@@ -73,12 +73,5 @@
 #endif
 #define MIN_SPAM_NUM 5
 #define MIN_SPAM_TIME 60
-#if defined( WANT_GETTEXT ) && defined( HAVE_GETTEXT ) && defined( MSGPATH )
-#define USE_GETTEXT 1
-#define _(a)       (gettext(a))
-#else
-#undef USE_GETTEXT
-#define _(a)       (a)
-#endif
 #define CONFIG_RATBOX_LEVEL_1
 #endif				/* INCLUDED_defaults_h */
diff -uNrd ircd-ratbox-1.4-2.dist/include/m_info.h ircd-ratbox-1.4-2/include/m_info.h
--- ircd-ratbox-1.4-2.dist/include/m_info.h	Mon Mar 15 13:19:45 2004
+++ ircd-ratbox-1.4-2/include/m_info.h	Sun May  9 21:34:49 2004
@@ -186,12 +186,6 @@
 	{"TS_WARN_DELTA_DEFAULT", "", TS_WARN_DELTA_DEFAULT,
 	 "Maximum TS Delta before Sending Warning"},
 
-#ifdef USE_GETTEXT
-	{"USE_GETTEXT", "ON", 0, "Use gettext() for message customisation"},
-#else
-	{"USE_GETTEXT", "OFF", 0, "Use gettext() for message customisation"},
-#endif /* USE_GETTEXT */
-
 #ifdef USE_SYSLOG
 	{"USE_SYSLOG", "ON", 0, "Log Errors to syslog file"},
 #else
diff -uNrd ircd-ratbox-1.4-2.dist/include/setup.h.in ircd-ratbox-1.4-2/include/setup.h.in
--- ircd-ratbox-1.4-2.dist/include/setup.h.in	Wed Oct 15 14:07:04 2003
+++ ircd-ratbox-1.4-2/include/setup.h.in	Sun May  9 21:32:59 2004
@@ -1,4 +1,4 @@
-/* include/setup.h.in.  Generated automatically from autoconf/configure.in by autoheader 2.13.  */
+/* include/setup.h.in.  Generated automatically from configure.in by autoheader.  */
 
 /* Define as __inline if that's what the C compiler calls it.  */
 #undef inline
@@ -74,9 +74,6 @@
 /* No block allocator */
 #undef NOBALLOC
 
-/* Gettext support */
-#undef HAVE_GETTEXT
-
 /* nicklen */
 #undef NICKLEN
 
@@ -106,9 +103,6 @@
 
 /* Define if you have the dlopen function.  */
 #undef HAVE_DLOPEN
-
-/* Define if you have the gettext function.  */
-#undef HAVE_GETTEXT
 
 /* Define if you have the kevent function.  */
 #undef HAVE_KEVENT
diff -uNrd ircd-ratbox-1.4-2.dist/include/stdinc.h ircd-ratbox-1.4-2/include/stdinc.h
--- ircd-ratbox-1.4-2.dist/include/stdinc.h	Wed Oct 15 12:33:59 2003
+++ ircd-ratbox-1.4-2/include/stdinc.h	Sun May  9 21:34:53 2004
@@ -58,9 +58,6 @@
 #include <netdb.h>
 #include <stdarg.h>
 #include <signal.h>
-#ifdef USE_GETTEXT
-#include <libintl.h>
-#endif
 #include <dirent.h>
 #include <ctype.h>
 
diff -uNrd ircd-ratbox-1.4-2.dist/messages/Makefile ircd-ratbox-1.4-2/messages/Makefile
--- ircd-ratbox-1.4-2.dist/messages/Makefile	Wed Dec 31 19:00:00 1969
+++ ircd-ratbox-1.4-2/messages/Makefile	Sun May  9 21:40:34 2004
@@ -0,0 +1,77 @@
+# Generated automatically from Makefile.in by configure.
+# $Id: Makefile.in,v 1.12.2.1 2003/06/26 14:51:18 androsyn Exp $
+MSGFMT = 
+RM=	/bin/rm
+
+default: all
+
+SRCS = \
+  custom.po \
+  ayb.po
+
+OBJS = ${SRCS:.po=.mo}
+
+prefix          = /usr/local/ircd
+exec_prefix     = ${prefix}
+exec_suffix     = @exec_suffix@
+bindir          = ${exec_prefix}/bin
+libexecdir      = ${bindir}
+sysconfdir      = ${prefix}/etc
+localstatedir   = ${prefix}
+messagedir       = /usr/local/ircd/messages
+
+
+all: ${OBJS}
+build: all
+
+.SUFFIXES:
+.SUFFIXES: .po .mo
+
+.po.mo:
+	${MSGFMT} $@ $<
+
+.PHONY: install depend clean distclean
+
+install-mkdirs:
+	-@if test ! -d $(messagedir); then \
+		echo "mkdir $(messagedir)"; \
+		mkdir $(messagedir); \
+	fi; \
+	for i in ./*.mo; do \
+		LNAME=`echo $$i | sed 's/^\.\///' | sed 's/\.mo$$//'`; \
+		if test ! -d $(messagedir)/$${LNAME}/LC_MESSAGES/; then \
+			echo "mkdir $(messagedir)/$${LNAME}/LC_MESSAGES/"; \
+			mkdir -p $(messagedir)/$${LNAME}/LC_MESSAGES/; \
+		fi; \
+	done
+
+install: build install-mkdirs
+	-@echo    "Installing message files to $(messagedir)..."; \
+	for i in ./*.mo; do \
+		LNAME=`echo $$i | sed 's/^\.\///' | sed 's/\.mo$$//'`; \
+		echo "$${LNAME} "; \
+		cp $$i "$(messagedir)/$${LNAME}/LC_MESSAGES/ircd-hybrid.mo"; \
+	done; \
+	echo
+
+depend:
+
+distclean: clean
+	${RM} -f Makefile
+	${RM} -f translations/Makefile
+
+clean:
+	${RM} -f *.mo
+
+lint:
+
+mrupdate:
+	@for i in $(SRCS); do \
+                echo "Updating $$i"; \
+                xgettext -a -LC -o $$i.tmp$$$$ ../src/messages.tab; \
+                xgettext --keyword=_ -j -LC -o $$i.tmp$$$$ ../include/*.h; \
+                xgettext --keyword=_ -j -LC -o $$i.tmp$$$$ ../src/*.c; \
+                xgettext --keyword=_ -j -LC -o $$i.tmp$$$$ ../modules/*.c; \
+                msgmerge -E -i -o $$i $$i $$i.tmp$$$$; \
+                rm $$i.tmp$$$$; \
+        done
diff -uNrd ircd-ratbox-1.4-2.dist/messages/translations/Makefile ircd-ratbox-1.4-2/messages/translations/Makefile
--- ircd-ratbox-1.4-2.dist/messages/translations/Makefile	Wed Dec 31 19:00:00 1969
+++ ircd-ratbox-1.4-2/messages/translations/Makefile	Sun May  9 21:40:34 2004
@@ -0,0 +1,79 @@
+# Generated automatically from Makefile.in by configure.
+# $Id: Makefile.in,v 1.9.2.1 2003/06/26 14:51:24 androsyn Exp $
+MSGFMT = 
+RM=	/bin/rm
+
+default: all
+
+SRCS = \
+  ircd-swedish.po \
+  ircd-croatian.po \
+  ircd-german.po \
+  ircd-danish.po \
+  ircd-spanish.po \
+  ircd-dutch.po \
+  ircd-norwegian.po
+
+OBJS = ${SRCS:.po=.mo}
+
+prefix          = /usr/local/ircd
+exec_prefix     = ${prefix}
+exec_suffix     = @exec_suffix@
+bindir          = ${exec_prefix}/bin
+libexecdir      = ${bindir}
+sysconfdir      = ${prefix}/etc
+localstatedir   = ${prefix}
+messagedir       = /usr/local/ircd/messages
+
+
+all: ${OBJS}
+build: all
+
+.SUFFIXES:
+.SUFFIXES: .po .mo
+
+.po.mo:
+	${MSGFMT} $@ $<
+
+.PHONY: install depend clean distclean
+
+install-mkdirs:
+	-@if test ! -d $(messagedir); then \
+		echo "mkdir $(messagedir)"; \
+		mkdir $(messagedir); \
+	fi; \
+	for i in ./*.mo; do \
+		LNAME=`echo $$i | sed 's/^\.\///' | sed 's/\.mo$$//'`; \
+		if test ! -d $(messagedir)/$${LNAME}/LC_MESSAGES/; then \
+			echo "mkdir $(messagedir)/$${LNAME}/LC_MESSAGES/"; \
+			mkdir -p $(messagedir)/$${LNAME}/LC_MESSAGES/; \
+		fi; \
+	done
+
+install: build install-mkdirs
+	-@echo    "Installing message files to $(messagedir)..."; \
+	for i in ./*.mo; do \
+		LNAME=`echo $$i | sed 's/^\.\///' | sed 's/\.mo$$//'`; \
+		echo "$${LNAME} "; \
+		cp $$i "$(messagedir)/$${LNAME}/LC_MESSAGES/ircd-hybrid.mo"; \
+	done; \
+	echo
+
+depend:
+
+distclean: clean
+	${RM} -f Makefile
+
+clean:
+	${RM} -f *.mo
+
+mrupdate:
+	@for i in $(SRCS); do \
+                echo "Updating $$i"; \
+                xgettext -a -LC -o $$i.tmp$$$$ ../../src/messages.tab; \
+                xgettext --keyword=_ -j -LC -o $$i.tmp$$$$ ../../include/*.h; \
+                xgettext --keyword=_ -j -LC -o $$i.tmp$$$$ ../../src/*.c; \
+                xgettext --keyword=_ -j -LC -o $$i.tmp$$$$ ../../modules/*.c; \
+                msgmerge -E -i -o $$i $$i $$i.tmp$$$$; \
+                rm $$i.tmp$$$$; \
+        done
diff -uNrd ircd-ratbox-1.4-2.dist/modules/m_set.c ircd-ratbox-1.4-2/modules/m_set.c
--- ircd-ratbox-1.4-2.dist/modules/m_set.c	Wed Apr 21 16:42:04 2004
+++ ircd-ratbox-1.4-2/modules/m_set.c	Sun May  9 21:39:55 2004
@@ -89,7 +89,6 @@
 static void quote_idletime(struct Client *, int);
 static void quote_log(struct Client *, int);
 static void quote_max(struct Client *, int);
-static void quote_msglocale(struct Client *, char *);
 static void quote_operstring(struct Client *, char *);
 static void quote_adminstring(struct Client *, char *);
 static void quote_spamnum(struct Client *, int);
@@ -120,7 +119,6 @@
 	{"LOG", quote_log, 0, 1},
 	{"MAX", quote_max, 0, 1},
 	{"MAXCLIENTS", quote_max, 0, 1},
-	{"MSGLOCALE", quote_msglocale, 1, 0},
 	{"OPERSTRING", quote_operstring, 1, 0},
 	{"ADMINSTRING", quote_adminstring, 1, 0},
 	{"SPAMNUM", quote_spamnum, 0, 1},
@@ -331,33 +329,6 @@
 		sendto_one(source_p, ":%s NOTICE %s :Current Maxclients = %d (%d)",
 			   me.name, source_p->name, GlobalSetOptions.maxclients, Count.local);
 	}
-}
-
-/* SET MSGLOCALE */
-static void
-quote_msglocale(struct Client *source_p, char *locale)
-{
-#ifdef USE_GETTEXT
-	if(locale)
-	{
-		char langenv[BUFSIZE];
-		ircsprintf(langenv, "LANGUAGE=%s", locale);
-		putenv(langenv);
-
-		sendto_one(source_p, ":%s NOTICE %s :Set MSGLOCALE to '%s'",
-			   me.name, source_p->name,
-			   getenv("LANGUAGE") ? getenv("LANGUAGE") : "<unset>");
-	}
-	else
-	{
-		sendto_one(source_p, ":%s NOTICE %s :MSGLOCALE is currently '%s'",
-			   me.name, source_p->name,
-			   (getenv("LANGUAGE")) ? getenv("LANGUAGE") : "<unset>");
-	}
-#else
-	sendto_one(source_p, ":%s NOTICE %s :No gettext() support available.",
-		   me.name, source_p->name);
-#endif
 }
 
 /* SET OPERSTRING */
diff -uNrd ircd-ratbox-1.4-2.dist/src/ircd.c ircd-ratbox-1.4-2/src/ircd.c
--- ircd-ratbox-1.4-2.dist/src/ircd.c	Sat Apr 10 18:39:01 2004
+++ ircd-ratbox-1.4-2/src/ircd.c	Sun May  9 21:36:28 2004
@@ -679,24 +679,6 @@
 		exit(EXIT_SUCCESS);
 	}
 
-#ifdef USE_GETTEXT
-	/*
-	 * For 'locale' try (in this order):
-	 *    Config entry "msglocale" (yyparse() will overwrite LANGUAGE)
-	 *    Env variable "LANGUAGE"
-	 *    Default of "" (so don't overwrite LANGUAGE here)
-	 */
-
-	if(!getenv("LANGUAGE"))
-	{
-		char lang[] = "LANGUAGE=";
-		putenv(lang);
-	}
-
-	textdomain("ircd-hybrid");
-	bindtextdomain("ircd-hybrid", MSGPATH);
-#endif
-
 	me.from = &me;
 	me.servptr = &me;
 	SetMe(&me);
diff -uNrd ircd-ratbox-1.4-2.dist/src/newconf.c ircd-ratbox-1.4-2/src/newconf.c
--- ircd-ratbox-1.4-2.dist/src/newconf.c	Wed Apr  7 16:37:50 2004
+++ ircd-ratbox-1.4-2/src/newconf.c	Sun May  9 21:37:31 2004
@@ -2401,18 +2401,6 @@
 }
 
 static void
-conf_set_general_message_locale(void *data)
-{
-	char langenv[BUFSIZE];
-
-	if(strlen((char *) data) > BUFSIZE - 10)
-		((char *) data)[BUFSIZE - 9] = 0;
-
-	ircsprintf(langenv, "LANGUAGE=%s", (char *) data);
-	putenv(langenv);
-}
-
-static void
 conf_set_general_gline_time(void *data)
 {
 	ConfigFileEntry.gline_time = *(unsigned int *) data;
@@ -3166,7 +3154,6 @@
 	add_conf_item("general", "gline_min_cidr", CF_INT, conf_set_general_gline_min_cidr);
 	add_conf_item("general", "gline_min_cidr6", CF_INT, conf_set_general_gline_min_cidr6);
 	add_conf_item("general", "idletime", CF_TIME, conf_set_general_idletime);
-	add_conf_item("general", "message_locale", CF_QSTRING, conf_set_general_message_locale);
 	add_conf_item("general", "client_exit", CF_YESNO, conf_set_general_client_exit);
 	add_conf_item("general", "oper_only_umodes", CF_STRING | CF_FLIST,
 		      conf_set_general_oper_only_umodes);
diff -uNrd ircd-ratbox-1.4-2.dist/src/numeric.c ircd-ratbox-1.4-2/src/numeric.c
--- ircd-ratbox-1.4-2.dist/src/numeric.c	Mon Mar 15 13:19:55 2004
+++ ircd-ratbox-1.4-2/src/numeric.c	Sun May  9 21:35:54 2004
@@ -61,5 +61,5 @@
 	if(num_ptr == NULL)
 		num_ptr = replies[ERR_LAST_ERR_MSG];
 
-	return ((const char *) _(num_ptr));
+	return ((const char *) num_ptr);
 }
diff -uNrd ircd-ratbox-1.4-2.dist/src/s_conf.c ircd-ratbox-1.4-2/src/s_conf.c
--- ircd-ratbox-1.4-2.dist/src/s_conf.c	Thu Apr 22 14:42:06 2004
+++ ircd-ratbox-1.4-2/src/s_conf.c	Sun May  9 21:42:06 2004
@@ -1271,7 +1271,6 @@
 	ConfigFileEntry.fname_operspyremotelog[0] = '\0';
 	ConfigFileEntry.glines = NO;
 	ConfigFileEntry.use_egd = NO;
-	/* don't reset msglocale setting -- we'd overwrite then env string */
 	ConfigFileEntry.gline_time = 12 * 3600;
 	ConfigFileEntry.gline_min_cidr = 16;
 	ConfigFileEntry.gline_min_cidr6 = 48;
